Loading...
Searching...
No Matches
gr::filter::mmse_fir_interpolator< sample_t > Class Template Reference

Compute intermediate samples between signal samples x(k*Ts). More...

`#include <gnuradio/filter/mmse_fir_interpolator.h>`

## Public Member Functions

| mmse_fir_interpolator ()
| mmse_fir_interpolator (mmse_fir_interpolator &&)=default
unsigned | ntaps () const
unsigned | nsteps () const
sample_t | interpolate (const sample_t input[], float mu) const
| compute a single interpolated output value.

## Protected Attributes

std::vector< kernel::fir_filter< sample_t, sample_t, float > > | filters

## Detailed Description

template<typename sample_t>
class gr::filter::mmse_fir_interpolator< sample_t >

Compute intermediate samples between signal samples x(k*Ts).

This implements a Minimum Mean Squared Error interpolator with 8 taps. It is suitable for signals where the bandwidth of interest B = 1/(4*Ts) Where Ts is the time between samples.

Although mu, the fractional delay, is specified as a float, it is actually quantized. 0.0 <= mu <= 1.0. That is, mu is quantized in the interpolate method to 32nd's of a sample.

For more information, in the GNU Radio source code, see:

- gr-filter/lib/gen_interpolator_taps/README
- gr-filter/lib/gen_interpolator_taps/praxis.txt

## Constructor & Destructor Documentation

## mmse_fir_interpolator() [1/2]

template<typename sample_t>

gr::filter::mmse_fir_interpolator< sample_t >::mmse_fir_interpolator | ( |  | ) |

## mmse_fir_interpolator() [2/2]

template<typename sample_t>

gr::filter::mmse_fir_interpolator< sample_t >::mmse_fir_interpolator | ( | mmse_fir_interpolator< sample_t > && |  | ) |

default

## Member Function Documentation

## interpolate()

template<typename sample_t>

sample_t gr::filter::mmse_fir_interpolator< sample_t >::interpolate | ( | const sample_t | input[],
|  | float | mu ) const

compute a single interpolated output value.

`input` must have ntaps() valid entries and be 8-byte aligned. input[0] .. input[ntaps() - 1] are referenced to compute the output value.

Exceptions

  std::invalid_argument | if input is not 8-byte aligned.

`mu` must be in the range [0, 1] and specifies the fractional delay.

Returns
  the interpolated input value.

## nsteps()

template<typename sample_t>

unsigned gr::filter::mmse_fir_interpolator< sample_t >::nsteps | ( |  | ) | const

## ntaps()

template<typename sample_t>

unsigned gr::filter::mmse_fir_interpolator< sample_t >::ntaps | ( |  | ) | const

## Member Data Documentation

## filters

template<typename sample_t>

std::vector<kernel::fir_filter<sample_t, sample_t, float> > gr::filter::mmse_fir_interpolator< sample_t >::filters

protected

The documentation for this class was generated from the following file:

- mmse_fir_interpolator.h